$dark: grey;
$medium: darkgrey;
$light: #9a9696;
$delay: 150ms;
$duration: 400ms;

.wrapper {
  width: 1109px;
  height: 512px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin-bottom: 50px;
}

//{
//  height: 255px;
//  width:231px;
//}
.skeleton {
  height: 255px;
  width: 231px;
  opacity: 0;
  transform: translatey(10px);
  animation: show $duration ease-in-out $delay 1 normal forwards running;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;

  div {
    width: 100%;
    height: 1.5vmin;
    margin: 0 20%;

    &:first-child {
      height: 13vmin;
      border-radius: 2vmin;
      margin-bottom: 2vmin;
    }

    &:nth-child(2) {
      width: 80%;
    }

    &:nth-child(3) {
      width: 65%;
    }

    &:nth-child(4) {
      width: 55%;
    }

    &:nth-child(5) {
      width: 50%;
    }
  }
}


.dark {
  background-size: 200% 100%;
  background-color: $dark;
  background-image: linear-gradient(90deg, rgba(131, 125, 125, 0) 0%, rgba(255, 255, 255, .2) 10%, rgba(107, 104, 104, 0) 15%);
  background-position: 230% 0%;
  box-shadow: 0 0 5vmin 0 #575757;
  animation: loading 2s ease-in-out $delay*4 infinite normal forwards running;
}

.light {
  background-size: 200% 100%;
  background-color: white;
  background-image: linear-gradient(90deg, rgba(246, 165, 14, 0) 0%, rgba(56, 55, 55, 0.5) 10%, rgba(255, 255, 255, 0) 15%);
  background-position: 230% 0%;
  box-shadow: 0 0 5vmin 0 $medium;
  animation: loading 2s ease-in-out $delay*4 infinite normal forwards running;
}

@keyframes loading {
  100% {
    background-position: 30% 0%;
  }
}

@keyframes show {
  100% {
    opacity: 1;
    transform: translatey(0);
  }
}